Status of the artifact rows produced by this build
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Prime Intellect Docs","colors":{"primary":"#9946FC","light":"#ffffff","dark":"#121212"},"logo":{"light":"https://mintcdn.com/primeintellect/X3F2tnEstSGMOi8f/logo/logo-dark-font.svg?fit=max\u0026auto=format\u0026n=X3F2tnEstSGMOi8f\u0026q=85\u0026s=4530d2da1baa9b91284a28d341a96d41","dark":"https://mintcdn.com/primeintellect/X3F2tnEstSGMOi8f/logo/logo-light-font.svg?fit=max\u0026auto=format\u0026n=X3F2tnEstSGMOi8f\u0026q=85\u0026s=692102cbfd35d0ffc53889dd563b2bba"},"favicon":"https://mintcdn.com/primeintellect/V8nr4KkPva3ooU45/favicon.svg?fit=max\u0026auto=format\u0026n=V8nr4KkPva3ooU45\u0026q=85\u0026s=0605a1bf3a6c6f9dc5f446cb0935f9f3","navbar":{"links":[{"href":"mailto:contact@primeintellect.ai","label":"Support"}],"primary":{"type":"button","label":"Home","href":"https://app.primeintellect.ai"}},"footer":{"socials":{"x":"https://x.com/PrimeIntellect","github":"https://github.com/PrimeIntellect-ai","linkedin":"https://www.linkedin.com/company/primeintellect-ai"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Join Discord","icon":"discord","href":"https://discord.gg/ZTFydGWPKj"},{"anchor":"Twitter","icon":"twitter","href":"https://twitter.com/PrimeIntellect"},{"anchor":"Blog","icon":"newspaper","href":"https://www.primeintellect.ai/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"primeintellect","hasAudioNarration":false,"actualSubdomain":"primeintellect","customDomains":["docs.primeintellect.ai"],"gitSource":{"type":"github","owner":"primeintellect-ai","repo":"public-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4db19adbc5dcc4d882fc8","collectionId":"e55dd9bc-87f8-48fb-8fb2-bcfd20ed8129","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4db19adbc5dcc4d882fc8"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae4db19adbc5dcc4d882fc8","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API","count":118},{"language":"default","tag":"Platform","count":70},{"language":"default","tag":"Libraries","count":20},{"language":"default","tag":"Model Factory","count":18},{"language":"default","tag":"training","count":17},{"language":"default","tag":"Compute","count":16},{"language":"default","tag":"Traces API","count":15},{"language":"default","tag":"Sandboxes","count":13},{"language":"default","tag":"Training","count":12},{"language":"default","tag":"Traces","count":12}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@primeintellect.ai","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/images/start-image-build","slug":"/api-reference/images/start-image-build","pageMetadata":{"title":"Start Image Build","description":"Start the image build process after uploading the build context.\n\nRuns img2vm in a VM sandbox to build and convert the image locally.","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/images/build/{build_id}/start","href":"/api-reference/images/start-image-build","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Start the image build process after uploading the build context.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Runs img2vm in a VM sandbox to build and convert the image locally.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Start Image Build","description":"Start the image build process after uploading the build context.\n\nRuns img2vm in a VM sandbox to build and convert the image locally.","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/images/build/{build_id}/start","href":"/api-reference/images/start-image-build","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/primeintellect/888b2eb94cd2e0ca/script.js","/_mintlify/custom/primeintellect/e3040f43d72452c7/proxy.js"],"openApiReferenceData":{"operation":{"tags":["Images"],"summary":"Start Image Build","description":"Start the image build process after uploading the build context.\n\nRuns img2vm in a VM sandbox to build and convert the image locally.","operationId":"start_image_build_api_v1_images_build__build_id__start_post","security":["e9139fba-6fa3-4c69-bbf5-44054e982a46"],"parameters":["d48f3f07-8ae2-48c0-a3c7-c29bcf31eb41"],"requestBody":"3ae6f7bd-c722-4f02-b13a-643388084016","responses":{"200":"5c46e8cd-78c6-4779-a184-e6e65b2c56e6","401":"355a40a0-2724-4894-bd9e-5df661fd8337","422":"fa95d112-87ef-45f7-a548-c3b21dd64961"},"method":"post","type":"path","servers":["a2389e58-7a3e-48a0-97f2-6f8c43e26c51"],"path":"/api/v1/images/build/{build_id}/start","baseUrlOptions":["https://api.primeintellect.ai"],"title":"Start Image Build","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"d48f3f07-8ae2-48c0-a3c7-c29bcf31eb41":{"name":"build_id","in":"path","required":true,"schema":{"type":"string","title":"Build Id","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"context_uploaded":{"type":"boolean","title":"Context Uploaded","description":"Confirmation that context was uploaded","default":true,"uniqueKey":"context_uploaded","typeLabel":"boolean"}},"type":"object","title":"StartBuildRequest","description":"Request model to start the build after upload.","uniqueKey":"","typeLabel":"StartBuildRequest · object"},"examples":{"Example":{"title":"Example","value":{"context_uploaded":true}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"5c46e8cd-78c6-4779-a184-e6e65b2c56e6":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","title":"Id","description":"Public identifier for the image build","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"imageName":{"type":"string","title":"Imagename","description":"Name of the image being built","isRequired":true,"uniqueKey":"imageName","typeLabel":"string"},"imageTag":{"type":"string","title":"Imagetag","description":"Tag of the image being built","isRequired":true,"uniqueKey":"imageTag","typeLabel":"string"},"status":{"type":"string","enum":["PENDING","UPLOADING","BUILDING","COMPLETED","FAILED","CANCELLED"],"title":"ImageBuildStatusEnum","description":"Status of the build's primary artifact","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","format":"date-time","title":"Createdat","description":"Timestamp when the build was created","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"startedAt":{"oneOf":[{"type":"string","title":"Startedat","description":"Timestamp when the build started","format":"date-time","uniqueKey":"startedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Startedat","description":"Timestamp when the build started","uniqueKey":"startedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"startedAt","typeLabel":"string\u003cdate-time> | null"},"completedAt":{"oneOf":[{"type":"string","title":"Completedat","description":"Timestamp when the build completed","format":"date-time","uniqueKey":"completedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Completedat","description":"Timestamp when the build completed","uniqueKey":"completedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"completedAt","typeLabel":"string\u003cdate-time> | null"},"artifacts":{"items":{"properties":{"id":{"type":"string","title":"Id","description":"Internal identifier for this artifact build row","isRequired":true,"uniqueKey":"artifacts.items.[INDEX].id","typeLabel":"string"},"status":{"type":"string","enum":["PENDING","UPLOADING","BUILDING","COMPLETED","FAILED","CANCELLED"],"title":"ImageBuildStatusEnum","description":"Current artifact status","isRequired":true,"uniqueKey":"artifacts.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","format":"date-time","title":"Createdat","description":"Timestamp when the artifact row was created","isRequired":true,"uniqueKey":"artifacts.items.[INDEX].createdAt","typeLabel":"string\u003cdate-time>"},"artifactType":{"type":"string","enum":["CONTAINER_IMAGE","VM_SANDBOX"],"title":"ImageBuildArtifactTypeEnum","description":"Artifact produced by this build row","default":"CONTAINER_IMAGE","uniqueKey":"artifacts.items.[INDEX].artifactType","typeLabel":"enum\u003cstring>"},"fullImagePath":{"oneOf":[{"type":"string","title":"Fullimagepath","description":"Output reference for this built artifact","uniqueKey":"artifacts.items.[INDEX].fullImagePath.oneOf.0","typeLabel":"string"},{"type":"null","title":"Fullimagepath","description":"Output reference for this built artifact","uniqueKey":"artifacts.items.[INDEX].fullImagePath.oneOf.1","typeLabel":"null"}],"uniqueKey":"artifacts.items.[INDEX].fullImagePath","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","title":"Errormessage","description":"Error message if build failed","uniqueKey":"artifacts.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","title":"Errormessage","description":"Error message if build failed","uniqueKey":"artifacts.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"artifacts.items.[INDEX].errorMessage","typeLabel":"string | null"},"startedAt":{"oneOf":[{"type":"string","title":"Startedat","description":"Timestamp when the artifact row started","format":"date-time","uniqueKey":"artifacts.items.[INDEX].startedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Startedat","description":"Timestamp when the artifact row started","uniqueKey":"artifacts.items.[INDEX].startedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"artifacts.items.[INDEX].startedAt","typeLabel":"string\u003cdate-time> | null"},"completedAt":{"oneOf":[{"type":"string","title":"Completedat","description":"Timestamp when the artifact row completed","format":"date-time","uniqueKey":"artifacts.items.[INDEX].completedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Completedat","description":"Timestamp when the artifact row completed","uniqueKey":"artifacts.items.[INDEX].completedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"artifacts.items.[INDEX].completedAt","typeLabel":"string\u003cdate-time> | null"}},"type":"object","required":["id","status","createdAt"],"title":"BuildArtifactStatusResponse","description":"Status of the image build's VM artifact.","uniqueKey":"artifacts.items.[INDEX]","typeLabel":"BuildArtifactStatusResponse · object"},"type":"array","title":"Artifacts","description":"Status of the artifact rows produced by this build","uniqueKey":"artifacts","typeLabel":"BuildArtifactStatusResponse · object[]"}},"type":"object","required":["id","imageName","imageTag","status","createdAt"],"title":"BuildStatusResponse","description":"Status of an image build and its artifact rows.","uniqueKey":"","typeLabel":"BuildStatusResponse · object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","imageName":"\u003cstring>","imageTag":"\u003cstring>","status":"PENDING","createdAt":"2023-11-07T05:31:56Z","startedAt":"2023-11-07T05:31:56Z","completedAt":"2023-11-07T05:31:56Z","artifacts":[{"id":"\u003cstring>","status":"PENDING","createdAt":"2023-11-07T05:31:56Z","artifactType":"CONTAINER_IMAGE","fullImagePath":"\u003cstring>","errorMessage":"\u003cstring>","startedAt":"2023-11-07T05:31:56Z","completedAt":"2023-11-07T05:31:56Z"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"355a40a0-2724-4894-bd9e-5df661fd8337":{"description":"Authorization failed","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"fa95d112-87ef-45f7-a548-c3b21dd64961":{"description":"Invalid request data","content":{"application/json":{"schema":{"properties":{"errors":{"items":{"properties":{"param":{"type":"string","title":"Param","isRequired":true,"uniqueKey":"errors.items.[INDEX].param","typeLabel":"string"},"details":{"type":"string","title":"Details","isRequired":true,"uniqueKey":"errors.items.[INDEX].details","typeLabel":"string"}},"type":"object","required":["param","details"],"title":"ErrorDetail","uniqueKey":"errors.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Errors","isRequired":true,"uniqueKey":"errors","typeLabel":"ErrorDetail · object[]"}},"type":"object","required":["errors"],"title":"ErrorResponse","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"errors":[{"param":"\u003cstring>","details":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"e9139fba-6fa3-4c69-bbf5-44054e982a46":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"}}},"servers":{"a2389e58-7a3e-48a0-97f2-6f8c43e26c51":{"url":"https://api.primeintellect.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"https://api.primeintellect.ai/openapi.json"},"subdomain":"primeintellect","siteName":"Prime Intellect Docs","title":"Start Image Build - Prime Intellect Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-30T15:50:33.775Z","originalFileLocation":"api-reference/images/start-image-build.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Start the image build process after uploading the build context. Runs img2vm in a VM sandbox to build and convert the image locally.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Prime Intellect Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Start Image Build - Prime Intellect Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Start the image build process after uploading the build context. Runs img2vm in a VM sandbox to build and convert the image locally.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Prime Intellect Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.primeintellect.ai/api-reference/images/start-image-build\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://primeintellect.mintlify.app/_mintlify/api/og/v2?division=Images\u0026amp;title=Start+Image+Build\u0026amp;description=Start+the+image+build+process+after+uploading+the+build+context.%0A%0ARuns+img2vm+in+a+VM+sandbox+to+build+and+convert+the+image+locally.\u0026amp;theme=6d7a5e449203cf606ab9cc22\u0026amp;signature=0dc7a5cefb62dd303533dcd83faf75a937fcb51e7a680f63f28169370683c2a1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Start Image Build - Prime Intellect Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Start the image build process after uploading the build context. Runs img2vm in a VM sandbox to build and convert the image locally.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://primeintellect.mintlify.app/_mintlify/api/og/v2?division=Images\u0026amp;title=Start+Image+Build\u0026amp;description=Start+the+image+build+process+after+uploading+the+build+context.%0A%0ARuns+img2vm+in+a+VM+sandbox+to+build+and+convert+the+image+locally.\u0026amp;theme=6d7a5e449203cf606ab9cc22\u0026amp;signature=0dc7a5cefb62dd303533dcd83faf75a937fcb51e7a680f63f28169370683c2a1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/primeintellect/Kk6EAHv3Qhta4r9y/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Prime Intellect Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9946FC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.primeintellect.ai/api-reference/images/start-image-build\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/images/start-image-build.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.primeintellect.ai/#organization\",\"name\":\"Prime Intellect Docs\",\"url\":\"https://docs.primeintellect.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/primeintellect/X3F2tnEstSGMOi8f/logo/logo-dark-font.svg?fit=max\u0026auto=format\u0026n=X3F2tnEstSGMOi8f\u0026q=85\u0026s=4530d2da1baa9b91284a28d341a96d41\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.primeintellect.ai#website\",\"name\":\"Prime Intellect Docs\",\"url\":\"https://docs.primeintellect.ai\",\"publisher\":{\"@id\":\"https://docs.primeintellect.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build#webpage\",\"url\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build\",\"name\":\"Start Image Build\",\"description\":\"Start the image build process after uploading the build context. Runs img2vm in a VM sandbox to build and convert the image locally.\",\"dateModified\":\"2026-10-30T15:50:33.775Z\",\"isPartOf\":{\"@id\":\"https://docs.primeintellect.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Images\",\"item\":\"https://docs.primeintellect.ai/api-reference/images/list-user-images\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Start Image Build\",\"item\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build#apireference\",\"headline\":\"Start Image Build\",\"name\":\"Start Image Build\",\"description\":\"Start the image build process after uploading the build context. Runs img2vm in a VM sandbox to build and convert the image locally.\",\"url\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build\",\"mainEntityOfPage\":{\"@id\":\"https://docs.primeintellect.ai/api-reference/images/start-image-build#webpage\"},\"dateModified\":\"2026-10-30T15:50:33.775Z\",\"publisher\":{\"@id\":\"https://docs.primeintellect.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.primeintellect.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Prime Intellect Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Prime Intellect Docs","nav":{"global":{"anchors":[{"anchor":"Join Discord","icon":"discord","href":"https://discord.gg/ZTFydGWPKj"},{"anchor":"Twitter","icon":"twitter","href":"https://twitter.com/PrimeIntellect"},{"anchor":"Blog","icon":"newspaper","href":"https://www.primeintellect.ai/blog"}]},"tabs":[{"tab":"Platform","pages":[{"title":"Platform","href":"/introduction"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides"}]},{"tab":"API","groups":[{"group":"API Documentation","pages":[{"title":"API Overview","icon":"folder-tree","href":"/api-reference/introduction"},{"title":"API keys","icon":"key","href":"/api-reference/api-keys"}]},{"group":"Compute API","pages":[{"title":"Get Availability Information","icon":"magnifying-glass","href":"/api-reference/check-gpu-availability"},{"title":"Provision Instance","icon":"rocket","href":"/api-reference/provision-gpu"},{"title":"Managing Pods","icon":"list-check","href":"/api-reference/managing-pods"},{"title":"Managing Disks","icon":"hard-drive","href":"/api-reference/managing-disks"},{"title":"Teams","icon":"users","href":"/api-reference/teams"}]},{"group":"Inference API","pages":[{"title":"Models API","icon":"brain-circuit","href":"/api-reference/inference-models"},{"title":"Chat Completions API","icon":"messages","href":"/api-reference/inference-chat-completions"},{"title":"Evaluations API","icon":"list-check","href":"/api-reference/inference-evaluations"}]},{"group":"Traces API","pages":[{"group":"Traces","pages":[{"title":"List traces","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/traces","href":"/api-reference/traces/traces/list-traces"},{"title":"Delete a run's traces","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json delete /api/v1/traces","href":"/api-reference/traces/traces/delete-a-runs-traces"},{"title":"Get a trace","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/traces/{trace_id}","href":"/api-reference/traces/traces/get-a-trace"},{"title":"Delete a trace","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json delete /api/v1/traces/{trace_id}","href":"/api-reference/traces/traces/delete-a-trace"},{"title":"List trace nodes","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/traces/{trace_id}/nodes","href":"/api-reference/traces/traces/list-trace-nodes"},{"title":"List trace model calls","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/traces/{trace_id}/calls","href":"/api-reference/traces/traces/list-trace-model-calls"},{"title":"Get a trace's timeline","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/traces/{trace_id}/timeline","href":"/api-reference/traces/traces/get-a-traces-timeline"}]},{"group":"Ingestion","pages":[{"title":"Upload traces","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json post /api/v1/traces","href":"/api-reference/traces/ingestion/upload-traces"}]},{"group":"Episodes","pages":[{"title":"List episodes","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/episodes","href":"/api-reference/traces/episodes/list-episodes"},{"title":"Get an episode","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/episodes/{episode_id}","href":"/api-reference/traces/episodes/get-an-episode"},{"title":"List episode traces","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/episodes/{episode_id}/traces","href":"/api-reference/traces/episodes/list-episode-traces"}]},{"group":"Runs","pages":[{"title":"List runs","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/runs","href":"/api-reference/traces/runs/list-runs"},{"title":"Get a run","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/runs/{run_id}","href":"/api-reference/traces/runs/get-a-run"},{"title":"List run steps","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/runs/{run_id}/steps","href":"/api-reference/traces/runs/list-run-steps"},{"title":"Search a run","deprecated":null,"version":null,"openapi":"https://prime-traces.pintel.dev/openapi.json get /api/v1/runs/{run_id}/search","href":"/api-reference/traces/runs/search-a-run"}]}]},{"group":"Availability","pages":[{"title":"Get Legacygpu Availability","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/","href":"/api-reference/availability/get-legacygpu-availability"},{"title":"Get Legacy Cluster Availability","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/clusters","href":"/api-reference/availability/get-legacy-cluster-availability"},{"title":"Get Disks Availability","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/disks","href":"/api-reference/availability/get-disks-availability"},{"title":"Get Gpu Summary","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/gpu-summary","href":"/api-reference/availability/get-gpu-summary"},{"title":"Get Gpu Availability","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/gpus","href":"/api-reference/availability/get-gpu-availability"},{"title":"Get Multinode Availability","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/multi-node","href":"/api-reference/availability/get-multinode-availability"},{"title":"Get Multinode Summary","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/availability/multi-node-summary","href":"/api-reference/availability/get-multinode-summary"}]},{"group":"Billing","pages":[{"title":"Token usage and cost for a single RFT run","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/billing/runs/{run_id}/usage","href":"/api-reference/billing/token-usage-and-cost-for-a-single-rft-run"},{"title":"Wallet balance + most recent billing rows","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/billing/wallet","href":"/api-reference/billing/wallet-balance-+-most-recent-billing-rows"}]},{"group":"Disks","pages":[{"title":"List Disks","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/disks/","href":"/api-reference/disks/list-disks"},{"title":"Create Disk","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/disks/","href":"/api-reference/disks/create-disk"},{"title":"Get Disk","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/disks/{disk_id}","href":"/api-reference/disks/get-disk"},{"title":"Delete Disk","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/disks/{disk_id}","href":"/api-reference/disks/delete-disk"},{"title":"Update Disk","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/disks/{disk_id}","href":"/api-reference/disks/update-disk"}]},{"group":"evals","pages":[{"title":"List Evaluations","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/evaluations/","href":"/api-reference/evals/list-evaluations"},{"title":"Create Evaluation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/evaluations/","href":"/api-reference/evals/create-evaluation"},{"title":"Bulk Delete Evaluations","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/evaluations/bulk-delete","href":"/api-reference/evals/bulk-delete-evaluations"},{"title":"Get Evaluation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/evaluations/{evaluation_id}","href":"/api-reference/evals/get-evaluation"},{"title":"Update Evaluation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json put /api/v1/evaluations/{evaluation_id}","href":"/api-reference/evals/update-evaluation"},{"title":"Delete Evaluation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/evaluations/{evaluation_id}","href":"/api-reference/evals/delete-evaluation"},{"title":"Finalize Evaluation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/evaluations/{evaluation_id}/finalize","href":"/api-reference/evals/finalize-evaluation"},{"title":"Get Samples","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/evaluations/{evaluation_id}/samples","href":"/api-reference/evals/get-samples"},{"title":"Push Samples","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/evaluations/{evaluation_id}/samples","href":"/api-reference/evals/push-samples"}]},{"group":"factory","pages":[{"title":"Get Factory Nodes","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/factory/nodes","href":"/api-reference/factory/get-factory-nodes"},{"title":"Get Factory Status","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/factory/status","href":"/api-reference/factory/get-factory-status"},{"title":"Get Factory Utilization","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/factory/utilization","href":"/api-reference/factory/get-factory-utilization"},{"title":"Get Factory Workloads","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/factory/workloads","href":"/api-reference/factory/get-factory-workloads"}]},{"group":"Feedback","pages":[{"title":"Submit Feedback","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/feedback","href":"/api-reference/feedback/submit-feedback"}]},{"group":"hosted-evaluations","pages":[{"title":"Create Hosted Evaluation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/hosted-evaluations","href":"/api-reference/hosted-evaluations/create-hosted-evaluation"},{"title":"Get Inference Models","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/hosted-evaluations/models","href":"/api-reference/hosted-evaluations/get-inference-models"},{"title":"Cancel Hosted Evaluation Route","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/hosted-evaluations/{evaluation_id}/cancel","href":"/api-reference/hosted-evaluations/cancel-hosted-evaluation-route"},{"title":"Get Hosted Evaluation Logs Route","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/hosted-evaluations/{evaluation_id}/logs","href":"/api-reference/hosted-evaluations/get-hosted-evaluation-logs-route"},{"title":"Upload Hosted Evaluation Logs Route","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json put /api/v1/hosted-evaluations/{evaluation_id}/logs","href":"/api-reference/hosted-evaluations/upload-hosted-evaluation-logs-route"}]},{"group":"Images","pages":[{"title":"List User Images","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/images","href":"/api-reference/images/list-user-images"},{"title":"Update Images","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/images","href":"/api-reference/images/update-images"},{"title":"Initiate Image Build","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/images/build","href":"/api-reference/images/initiate-image-build"},{"title":"Get Build Status","description":"Get the status of an image build.","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/images/build/{build_id}","href":"/api-reference/images/get-build-status"},{"title":"Start Image Build","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/images/build/{build_id}/start","href":"/api-reference/images/start-image-build"},{"title":"List Image Builds","description":"List all image builds for the current user.","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/images/builds","href":"/api-reference/images/list-image-builds"},{"title":"Delete User Image","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/images/{image_name}/{image_tag}","href":"/api-reference/images/delete-user-image"}]},{"group":"metrics","pages":[{"title":"Ingest Metrics","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/metrics","href":"/api-reference/metrics/ingest-metrics"}]},{"group":"Pods","pages":[{"title":"Get Pods","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/pods/","href":"/api-reference/pods/get-pods"},{"title":"Create Pod","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/pods/","href":"/api-reference/pods/create-pod"},{"title":"Get Pods History","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/pods/history","href":"/api-reference/pods/get-pods-history"},{"title":"Get Pods Status","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/pods/status","href":"/api-reference/pods/get-pods-status"},{"title":"Get Pod","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/pods/{pod_id}","href":"/api-reference/pods/get-pod"},{"title":"Delete Pod","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/pods/{pod_id}","href":"/api-reference/pods/delete-pod"},{"title":"Get Pod Logs Api","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/pods/{pod_id}/log","href":"/api-reference/pods/get-pod-logs-api"}]},{"group":"Secrets","pages":[{"title":"List Secrets","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/secrets/","href":"/api-reference/secrets/list-secrets"},{"title":"Create Secret","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/secrets/","href":"/api-reference/secrets/create-secret"},{"title":"Get Secret","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/secrets/{secret_id}","href":"/api-reference/secrets/get-secret"},{"title":"Delete Secret","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/secrets/{secret_id}","href":"/api-reference/secrets/delete-secret"},{"title":"Update Secret","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/secrets/{secret_id}","href":"/api-reference/secrets/update-secret"}]},{"group":"slurm-clusters","pages":[{"title":"Get Connection Info","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/slurm-clusters/{cluster_id}/connection","href":"/api-reference/slurm-clusters/get-connection-info"},{"title":"List Clusters","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/slurm-clusters/{team_id}","href":"/api-reference/slurm-clusters/list-clusters"},{"title":"Deploy Cluster","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/slurm-clusters/{team_id}/deploy","href":"/api-reference/slurm-clusters/deploy-cluster"},{"title":"List Members","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/slurm-clusters/{team_id}/{job_id}/members","href":"/api-reference/slurm-clusters/list-members"},{"title":"Add Member","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/slurm-clusters/{team_id}/{job_id}/members","href":"/api-reference/slurm-clusters/add-member"},{"title":"Remove Member","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/slurm-clusters/{team_id}/{job_id}/members/{username}","href":"/api-reference/slurm-clusters/remove-member"},{"title":"Resize Cluster","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/slurm-clusters/{team_id}/{job_id}/resize","href":"/api-reference/slurm-clusters/resize-cluster"}]},{"group":"SSH Keys","pages":[{"title":"Get Ssh Keys","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/ssh_keys/","href":"/api-reference/ssh-keys/get-ssh-keys"},{"title":"Upload Ssh Key","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/ssh_keys/","href":"/api-reference/ssh-keys/upload-ssh-key"},{"title":"Delete Ssh Key","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/ssh_keys/{key_id}","href":"/api-reference/ssh-keys/delete-ssh-key"},{"title":"Set Primary Key","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/ssh_keys/{key_id}","href":"/api-reference/ssh-keys/set-primary-key"}]},{"group":"teams","pages":[{"title":"List Team Members","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/teams/{team_id}/members","href":"/api-reference/teams/list-team-members"}]},{"group":"API Keys","pages":[{"title":"List Tokens","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/tokens/","href":"/api-reference/api-keys/list-tokens"},{"title":"Delete Token","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/tokens/{token_id}","href":"/api-reference/api-keys/delete-token"},{"title":"Disable Token","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/tokens/{token_id}/disable","href":"/api-reference/api-keys/disable-token"}]},{"group":"training","pages":[{"title":"Get Available Fft Models","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/training/available-fft-models","href":"/api-reference/training/get-available-fft-models"},{"title":"Get Available Gpu Types","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/training/available-gpu-types","href":"/api-reference/training/get-available-gpu-types"},{"title":"Create Dedicated Run","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/runs","href":"/api-reference/training/create-dedicated-run"},{"title":"Prepare Local Validation","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/runs/prepare","href":"/api-reference/training/prepare-local-validation"},{"title":"Delete Dedicated Run","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/training/runs/{run_id}","href":"/api-reference/training/delete-dedicated-run"},{"title":"Pause Dedicated Run","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/runs/{run_id}/pause","href":"/api-reference/training/pause-dedicated-run"},{"title":"Resume Dedicated Run","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/runs/{run_id}/resume","href":"/api-reference/training/resume-dedicated-run"},{"title":"List Volumes","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes","href":"/api-reference/training/list-volumes"},{"title":"Create Volume","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/volumes","href":"/api-reference/training/create-volume"},{"title":"Delete Volume","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/training/volumes/{name}","href":"/api-reference/training/delete-volume"},{"title":"Expand Volume","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/training/volumes/{name}","href":"/api-reference/training/expand-volume"},{"title":"List Volume Sessions","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes/{name}/sessions","href":"/api-reference/training/list-volume-sessions"},{"title":"Create Volume Session","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/volumes/{name}/sessions","href":"/api-reference/training/create-volume-session"},{"title":"Get Volume Session","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes/{name}/sessions/{session_id}","href":"/api-reference/training/get-volume-session"},{"title":"Stop Volume Session","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/training/volumes/{name}/sessions/{session_id}","href":"/api-reference/training/stop-volume-session"},{"title":"Volume Transfer","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/volumes/{name}/transfer","href":"/api-reference/training/volume-transfer"},{"title":"Volume Transfer Release","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/training/volumes/{name}/transfer/release","href":"/api-reference/training/volume-transfer-release"}]},{"group":"Tunnel","pages":[{"title":"List Tunnels Endpoint","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/tunnel","href":"/api-reference/tunnel/list-tunnels-endpoint"},{"title":"Create Tunnel Endpoint","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json post /api/v1/tunnel","href":"/api-reference/tunnel/create-tunnel-endpoint"},{"title":"Bulk Delete Tunnels Endpoint","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/tunnel","href":"/api-reference/tunnel/bulk-delete-tunnels-endpoint"},{"title":"Get Tunnel Status Endpoint","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/tunnel/{tunnel_id}","href":"/api-reference/tunnel/get-tunnel-status-endpoint"},{"title":"Delete Tunnel Endpoint","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json delete /api/v1/tunnel/{tunnel_id}","href":"/api-reference/tunnel/delete-tunnel-endpoint"}]},{"group":"user","pages":[{"title":"Set Username Slug","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json patch /api/v1/user/slug","href":"/api-reference/user/set-username-slug"},{"title":"List My Teams","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/user/teams","href":"/api-reference/user/list-my-teams"},{"title":"Get Whoami","deprecated":null,"version":null,"openapi":"https://api.primeintellect.ai/openapi.json get /api/v1/user/whoami","href":"/api-reference/user/get-whoami"}]}]},{"tab":"CLI","pages":[{"title":"CLI","href":"/cli-reference/introduction"}]}]},"basePath":"","title":"Start Image Build - Prime Intellect Docs","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}